## mpegpsmux

mpegpsmux

## Description

## Synopsis

### Element Information

plugin | mpegpsmux
author | Lin YANG <oxcsnicho@gmail.com>
class | Codec/Muxer

### Element Pads

name | sink_%u
direction | sink
presence | request
details | video/mpeg, mpegversion=(int){ 1, 2, 4 }, systemstream=(boolean)false
| video/x-dirac
| video/x-h264, stream-format=(string)byte-stream, alignment=(string){ au, nal }
| audio/mpeg, mpegversion=(int){ 1, 2 }
| audio/mpeg, mpegversion=(int)4, stream-format=(string){ raw, adts }
| audio/x-lpcm, width=(int){ 16, 20, 24 }, rate=(int){ 48000, 96000 }, channels=(int)[ 1, 8 ], dynamic_range=(int)[ 0, 255 ], emphasis=(boolean){ false, true }, mute=(boolean){ false, true }

name | src
direction | source
presence | always
details | video/mpeg, mpegversion=(int)2, systemstream=(boolean)true

## Functions

## Types and Values